
Infrastructure - Task #778

Story # 957 (Closed): CN Service layer should be refactored for 0.6 release

refactor proxy.controller.ObjectController - 45+ methods

2010-08-11 07:57 - Rob Nahf

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.12-Block.2   

Milestone: CCI-0.5 Story Points:  

Product Version: *   

Description

currently, there are 45 methods that funnel the request to 5 methods in the implementation classes.  It will be difficult to maintain. 

Will need to generalize the logging, probably, and handle the accept types a bit differently.

History

#1 - 2010-10-07 00:32 - Matthew Jones

- Target version deleted (CCI.Prototype.Review)

- Parent task set to #957

- Milestone set to CCI-0.6

#2 - 2010-10-07 21:45 - Robert Waltz

- Milestone changed from CCI-0.6 to CCI-0.5

#3 - 2011-03-28 16:26 - Robert Waltz

- Status changed from New to Closed
